uuid: ab689e06-9590-41ed-aae5-86c0b58a7cbb
langcode: fr
status: true
dependencies: {  }
_core:
  default_config_hash: mR9tehyJ35Hg9p6fRCGwtr-Whd1VHnD1_F-M9944bxc
id: d7_users
class: null
field_plugin_method: null
cck_plugin_method: null
migration_tags:
  - 'Drupal 7'
  - Content
  - Popsu
migration_group: popsu
label: 'User accounts'
source:
  plugin: d7_users
  batch_size: 1000
process:
  name: name
  pass: pass
  mail:
    -
      plugin: skip_on_value
      equals: true
      source: mail
      method: row
      value:
        - manager-popsu@renaud-cuny.com
    -
      plugin: default_value
      source: mail
      default_value: null
  created: created
  access: access
  login: login
  status: status
  timezone: timezone
  init: init
  roles:
    -
      plugin: skip_on_value
      equals: true
      source: roles
      method: row
      value:
        - 5
    -
      plugin: static_map
      source: roles
      default_value: 2
      map:
        1: anonymous
        2: authenticated
        3: admin
        4: editeur
        5: root
destination:
  plugin: 'entity:user'
migration_dependencies:
  required:
    - d7_allpublicfiles
